package com.style24.front.biz.service;

import java.util.Collection;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.style24.front.biz.dao.TsfNoticeDao;
import com.style24.persistence.domain.Notice;

import lombok.extern.slf4j.Slf4j;

/**
 * 공지사항 Service
 * 
 * @author gagamel
 * @since 2020. 11. 3
 */
@Service
@Slf4j
public class TsfNoticeService {

	@Autowired
	private TsfNoticeDao noticeDao;

	/**
	 * 공지사항 총건수
	 * @param notice - 공지사항 정보
	 * @return 총건수
	 * @author gagamel
	 * @date 2020. 11. 3
	 */
	public int getNoticeTotalCount(Notice notice) {
		return noticeDao.getNoticeTotalCount(notice);
	}

	/**
	 * 공지사항 목록
	 * @param notice - 공지사항 정보
	 * @return
	 * @author gagamel
	 * @date 2020. 11. 3
	 */
	public Collection<Notice> getNoticeList(Notice notice) {
		return noticeDao.getNoticeList(notice);
	}

//	/**
//	 * 긴급 공지사항 목록
//	 * @param notice - 공지사항 정보
//	 * @return
//	 * @author gagamel
//	 * @date 2020. 11. 3
//	 */
//	public Collection<Notice> getUrgentNoticeList(Notice notice) {
//		notice.setUrgentYn("Y"); // 긴급공지
//		return noticeDao.getNoticeList(notice);
//	}

	/**
	 * 공지사항 첨부파일 목록
	 * @param notice - 공지사항 정보
	 * @return
	 * @author gagamel
	 * @date 2020. 11. 3
	 */
	public Collection<Notice> getNoticeFileList(Notice notice) {
		return noticeDao.getNoticeFileList(notice);
	}

	/**
	 * 공지사항 조회수 Update
	 * @param noticeSq - 공지사항일련번호
	 * @author gagamel
	 * @date 2020. 12. 23
	 */
	public void updateNoticeReadCount(Integer noticeSq) {
		noticeDao.updateNoticeReadCount(noticeSq);
	}

}
